      SUBROUTINE UHINIT
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C Book the user's histograms
C-----------------------------------------------------------------------------

      implicit none

       include 'mcflags.inc'
       include 'ntuple.inc'

      integer i

*******************************************************************************

      call hropen(30, 'NTUP', 'output.hbook', 'NX', 1024, i)

      call hbnt(1, 'nTuple','M')

C Contains event summary information

      call hbname(1,'Summary',EVENT,'EVENT:I,VTX(3):R')

C Contains information on initial particles.

      call hbname(1,'Initial',NPART,'NPART[0,5]:I,'//
     + 'PTYPE(NPART):I,PARTE(NPART):R,PARTPX(NPART):R, '//
     + 'PARTPY(NPART):R,PARTPZ(NPART):R')

C Holds information on particles escaping the holder

      call hbname(1, 'Escapees', NESCAPE,'NESCAPE[0,1000]:I,'//
     + 'PTYP_ESC(NESCAPE):I,PE_ESC(NESCAPE):R, '//
     + 'X_ESC(NESCAPE):R,Y_ESC(NESCAPE):R,Z_ESC(NESCAPE):R')

C Particles which enter the scintillator

      call hbname(1,'EntScint',N_ENT_SCINT,'N_ENT_SCINT[0,1000]:I,'//
     + 'PTYP_ENT_SCINT(N_ENT_SCINT):I, '//
     + 'PE_ENT_SCINT(N_ENT_SCINT):R,X_ENT_SCINT(N_ENT_SCINT):R, '//
     + 'Y_ENT_SCINT(N_ENT_SCINT):R,Z_ENT_SCINT(N_ENT_SCINT):R')

C Hits in body

      call hbname(1,'BodyHits',N_B_HITS,'N_B_HITS[0,1000]:I,'//
     + 'X_B_HIT(N_B_HITS):R,Y_B_HIT(N_B_HITS):R, '//
     +' Z_B_HIT(N_B_HITS):R,E_B_HIT(N_B_HITS):R')

C Hits in scintillator

      call hbname(1,'ScinHits',N_S_HITS,'N_S_HITS[0,1000]:I,'//
     + 'X_S_HIT(N_S_HITS):R,Y_S_HIT(N_S_HITS):R, '//
     + 'Z_S_HIT(N_S_HITS):R,E_S_HIT(N_S_HITS):R')


      return
      END
